Bug 1295617 - After suspend/resume unable to unlock gnome desktop
After suspend/resume unable to unlock gnome desktop
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
22
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 21:49 EST by Jason Wilson
Modified: 2016-07-19 16:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:00:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Wilson 2016-01-04 21:49:11 EST
Description of problem:
After doing a suspend/resume on Thinkpad Edge E440 unable to unlock screen.

Version-Release number of selected component (if applicable):
gnome-shell-3.16.4-1.fc22.x86_64

How reproducible:
Happens everytime after a suspend/resume.

Steps to Reproduce:
1. Suspend machine (press power button)
2. Resume machine (power button again)
3. Enter password at prompt

Actual results:
No response - just hangs. Does not give an error, just 'spins', then timeouts and goes back to blank screen.

Expected results:
Desktop to unlock

Additional info:
My opening a different virtual console, doing a 'killall -u USER ; killall gdm' it works again (but obviously losing all running applications).
NOTE: Am using auto-login account - not sure if contributes
Nothing obvious in journalctl while trying to unlock (no gnome related errors I could find).
Comment 1 Jason Wilson 2016-01-04 23:03:55 EST
Disable auto-login and now works.
Also - this used to work until an update about a month ago, but not sure exactly when (as don't actually suspend/resume all that often).
Comment 2 Samuel Sieb 2016-03-03 18:51:05 EST
My mom is running into a similar issue quite often in F23.  I have her setup with auto-login and when she resumes the laptop, she sees the desktop and the mouse moves around, but nothing can be clicked or typed.  Nothing in the journal.  Doing a kill -HUP on gnome-shell fixes it, but there's no way I'm going to try to explain that to her...

I think it started happening when I upgraded her laptop to F23 just before Christmas.
Comment 3 Fedora End Of Life 2016-07-19 16:00:21 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.